# UserInfo

**用户昵称**

```
userInfo.nickName
```

**例子**

```
<view>
    <text class="userinfo-nickname">{{userInfo.nickName}}</text>
  </view>
```

**用户头像**

```
userInfo.avatarUrl
```

**例子**

```
<image class="userinfo-avatar" src="{{userInfo.avatarUrl}}" background-size="cover"></image>
```

#### number gender <a href="#number-gender" id="number-gender"></a>

用户性别

**gender 的合法值**

| 值 | 说明 | 最低版本 |
| - | -- | ---- |
| 0 | 未知 |      |
| 1 | 男性 |      |
| 2 | 女性 |      |

#### string country <a href="#string-country" id="string-country"></a>

用户所在国家

#### string province <a href="#string-province" id="string-province"></a>

用户所在省份

#### string city <a href="#string-city" id="string-city"></a>

用户所在城市

#### string language <a href="#string-language" id="string-language"></a>

显示 country，province，city 所用的语言

**language 的合法值**

| 值      | 说明   | 最低版本 |
| ------ | ---- | ---- |
| en     | 英文   |      |
| zh\_CN | 简体中文 |      |
| zh\_TW | 繁体中文 |      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luckydesigner.space/wechat/pei-zhi/userinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
